# htop Cheatsheet - Cheatsheets - Launch Pad

__ _______________________ _________._________________________ \_ _____/ \______ \ / _ \ / _____/ / _____/ | | \_ _____/ | __) | _/ / /_\ \ / \ ___ / \ ___ | | | __)_ | \ | | \ / | \ \ \_\ \ \ \_\ \ | |___ | \ \___ / |____|_ / \____|__ / \______ / \______ / |_______ \ /_______ / \/ \/ \/ \/ \/ \/ \/

# htop Cheatsheet

← Back to cheatsheets

← Home

htop is an interactive process viewer and system monitor. Enhanced version of top with better visualization, mouse support, and easier navigation.

## Basic Usage

- htop - Start interactive monitor

- htop -u user - Show only user processes

- htop -p PID1,PID2 - Monitor specific PIDs

- htop -s column - Sort by column

## Interactive Keys

- F1 - Help

- F2 - Setup (configure display)

- F3 - Search process

- F4 - Filter processes

- F5 - Tree view

- F6 - Sort by column

- F7 - Decrease nice (higher priority)

- F8 - Increase nice (lower priority)

- F9 - Kill process

- F10 - Quit

- Space - Tag process

- u - Show processes of specific user

- t - Tree/List view toggle

- H - Show/hide threads

- K - Show/hide kernel threads

- P - Sort by CPU

- M - Sort by memory

- T - Sort by time

- / - Search

- \ - Filter

## Command Line Options

- -d delay - Update delay in seconds

- -u user - Show only user processes

- -p PID - Show only specific PIDs

- -s column - Sort by column

- -C - No color

- -t - Tree view by default

## Common Examples

### Basic Monitor

    htop

Start interactive monitor.

### User Processes

    htop -u username

Show only specific user.

### Sort by Memory

    htop -s PERCENT_MEM

Start sorted by memory usage.

### Tree View

    htop -t

Start in tree view.

### Specific PIDs

    htop -p 1234,5678

Monitor specific processes.

## Tips

- Use F6 to change sort column

- Use F4 to filter processes

- Use F5 for tree view to see process hierarchy

- Use F9 to kill processes

- Use F7/F8 to adjust process priority

- Much more user-friendly than top

- Supports mouse interaction

- Essential for system monitoring